Update a triple
curl --request PUT \
--url https://www.neode.ai/api/triples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"confidence": 123,
"source": "<string>",
"graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.neode.ai/api/triples"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"confidence": 123,
"source": "<string>",
"graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject: '<string>',
predicate: '<string>',
object: '<string>',
confidence: 123,
source: '<string>',
graph_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.neode.ai/api/triples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5,
"source": "<string>",
"graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"details": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>"
}Triples
Update a triple
Update an existing triple by ID
PUT
/
api
/
triples
Update a triple
Authorizations
API key for authentication
Body
application/json
⌘I